#include <iostream>
#include <algorithm>
using namespace std;

int main()
{
    int n;
    cin>>n;
    int a[n],b[n];
    for(int i=0;i<n;i++){
        cin>>a[i];

    }
      for(int i=0;i<n;i++){
        cin>>b[i];

    }
    int suma=0,SMax=-1;
    int j=1;
    int XOR=a[j],AND=b[j];
    while(j<n){


for(int i=j+1;i<n;i++){
  XOR^=a[i];
   AND&=b[i];
suma=XOR*AND;
if(suma>SMax){
    SMax=suma;
}
   }
   j++;
    }
     while(n>=0){
 XOR=a[0],AND=b[0];
for(int i=0;i<n;i++){
  XOR^=a[i];
   AND&=b[i];
suma=XOR*AND;
if(suma>SMax){
    SMax=suma;
}
   }
   n--;
    }

   cout<<SMax<<endl;
    return 0;
}